com.independentsoft.exchange

## Class DomainSetting

- java.lang.Object
- - com.independentsoft.exchange.DomainSetting

-     public class DomainSetting
      extends java.lang.Object

  Contains domain settings that are returned by the GetDomainSettings Operation (SOAP) operation request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainSetting()` Initializes a new instance of the DomainSetting class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of a setting.
    `java.util.List<ProtocolConnection>` | `getProtocolConnections()` Gets a collection of server protocol connection settings.
    `java.lang.String` | `getType()` Gets a user setting type.
    `java.lang.String` | `getValue()` Represents a user setting value.
    `java.util.List<WebClientUrl>` | `getWebClientUrls()` Gets a user setting that contains a collection of WebClientUrl (SOAP) elements.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainSetting

          public DomainSetting()

      Initializes a new instance of the DomainSetting class.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of a setting.
      Returns:
        the name

    - #### getValue

          public java.lang.String getValue()

      Represents a user setting value.
      Returns:
        the value

    - #### getType

          public java.lang.String getType()

      Gets a user setting type.
      Returns:
        the type

    - #### getWebClientUrls

          public java.util.List<WebClientUrl> getWebClientUrls()

      Gets a user setting that contains a collection of WebClientUrl (SOAP) elements.
      Returns:
        the web client urls

    - #### getProtocolConnections

          public java.util.List<ProtocolConnection> getProtocolConnections()

      Gets a collection of server protocol connection settings.
      Returns:
        the protocol connections